Skip to content
Start here

Create a new TURN key

calls.turn.create(TURNCreateParams**kwargs) -> TURNCreateResponse
POST/accounts/{account_id}/calls/turn_keys

Creates a new Cloudflare Calls TURN key.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls Write
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
name: Optional[str]

A short description of a TURN key, not shown to end users.

ReturnsExpand Collapse
class TURNCreateResponse:
created: Optional[datetime]

The date and time the item was created.

formatdate-time
key: Optional[str]

Bearer token

maxLength64
minLength64
modified: Optional[datetime]

The date and time the item was last modified.

formatdate-time
name: Optional[str]

A short description of a TURN key, not shown to end users.

uid: Optional[str]

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

Create a new TURN key

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
turn = client.calls.turn.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(turn.uid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4",
    "modified": "2014-01-02T02:20:00Z",
    "name": "my-turn-key",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4",
    "modified": "2014-01-02T02:20:00Z",
    "name": "my-turn-key",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}